This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 458980 - ipa-adduser does not mention where to add the loginuser
ipa-adduser does not mention where to add the loginuser
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise IPA
Classification: Retired
Component: ipa-admintools (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Ben Levenson
: Documentation, EasyFix
Depends On:
Blocks: 453489
  Show dependency treegraph
 
Reported: 2008-08-13 11:34 EDT by Guil Barros
Modified: 2015-01-21 10:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 10:21:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Guil Barros 2008-08-13 11:34:47 EDT
Description of problem:
ipa-adduser does not mention where to add the loginuser, while ipa-adduser --usage does.

Version-Release number of selected component (if applicable):
ipa-admintools-1.0.0-15.el5ipa

How reproducible:
every time

Steps to Reproduce:
1. ipa-adduser -h
2. ipa-adduser --usage
3.
  
Actual results:
[root@ds101-dev ~]# ipa-adduser -h
usage: ipa-adduser [options]

options:
  -h, --help            show this help message and exit
  -c GECOS, --gecos=GECOS
                        Set the GECOS field
  -d DIRECTORY, --directory=DIRECTORY
                        Set the User's home directory
  -f GN, --firstname=GN
                        User's first name
  -l SN, --lastname=SN  User's last name
  -p PASSWORD, --password=PASSWORD
                        Set user's password
  -P                    Prompt on the command-line for the user's password
  -s SHELL, --shell=SHELL
                        Set user's login shell to shell
  -G GROUPS, --groups=GROUPS
                        Add account to one or more groups (comma-separated)
  -k PRINCIPAL, --krb-principal=PRINCIPAL
                        Set user's Kerberos Principal Name
  -M MAIL, --mailAddress=MAIL
                        Set user's e-mail address
  --usage               Program usage
  -v, --verbose         Verbose output of the XML-RPC connection
  --addattr=ADDATTR     Adds an attribute or values to that attribute,
                        attr=value
  --setattr=SETATTR     Set an attribute, dropping any existing values that
                        may exist


Expected results:
[root@ds101-dev ~]# ipa-adduser -h
usage: ipa-adduser [options] user

options:
  -h, --help            show this help message and exit
  -c GECOS, --gecos=GECOS
                        Set the GECOS field
  -d DIRECTORY, --directory=DIRECTORY
                        Set the User's home directory
  -f GN, --firstname=GN
                        User's first name
  -l SN, --lastname=SN  User's last name
  -p PASSWORD, --password=PASSWORD
                        Set user's password
  -P                    Prompt on the command-line for the user's password
  -s SHELL, --shell=SHELL
                        Set user's login shell to shell
  -G GROUPS, --groups=GROUPS
                        Add account to one or more groups (comma-separated)
  -k PRINCIPAL, --krb-principal=PRINCIPAL
                        Set user's Kerberos Principal Name
  -M MAIL, --mailAddress=MAIL
                        Set user's e-mail address
  --usage               Program usage
  -v, --verbose         Verbose output of the XML-RPC connection
  --addattr=ADDATTR     Adds an attribute or values to that attribute,
                        attr=value
  --setattr=SETATTR     Set an attribute, dropping any existing values that
                        may exist


Additional info:
Comment 1 Martin Nagy 2008-09-16 19:03:34 EDT
master: a9e8a72059ca5a6db13a9835d20f68dd16ce9a7a
Comment 2 Jenny Galipeau 2008-11-18 16:37:53 EST
fix verified 

[root@jennyv3 ~]# ipa-adduser -h
usage: ipa-adduser [options] [user]

options:
  -h, --help            show this help message and exit
  -c GECOS, --gecos=GECOS
                        Set the GECOS field
  -d DIRECTORY, --directory=DIRECTORY
                        Set the User's home directory
  -f GN, --firstname=GN
                        User's first name
  -l SN, --lastname=SN  User's last name
  -p PASSWORD, --password=PASSWORD
                        Set user's password
  -P                    Prompt on the command-line for the user's password
  -s SHELL, --shell=SHELL
                        Set user's login shell to shell
  -G GROUPS, --groups=GROUPS
                        Add account to one or more groups (comma-separated)
  -k PRINCIPAL, --krb-principal=PRINCIPAL
                        Set user's Kerberos Principal Name
  -M MAIL, --mailAddress=MAIL
                        Set user's e-mail address
  -v, --verbose         Verbose output of the XML-RPC connection
  --addattr=ADDATTR     Adds an attribute or values to that attribute,
                        attr=value
  --setattr=SETATTR     Set an attribute, dropping any existing values that
                        may exist
  --realm=REALM         Override default IPA realm
  --server=SERVER       Override default IPA server
  --domain=DOMAIN       Override default IPA DNS domain
Comment 6 Martin Kosek 2015-01-21 10:21:05 EST
"Red Hat Enterprise IPA" product is not used or maintained. As this bug has a VERIFIED or RELEASE_PENDING status, it can be safely closed.

For further requests for the Red Hat Enterprise Linux Identity Management, please consider filing a Bug to RHEL "ipa" component.

Note You need to log in before you can comment on or make changes to this bug.